AEAD_REQUEST_SET_TFM(9)

NAME
aead_request_set_tfm - update cipher handle reference in request

SYNOPSIS

void aead_request_set_tfm(struct aead_request * req, struct crypto_aead * tfm);

ARGUMENTS

req
    request handle to be modified

tfm
    cipher handle that shall be added to the request handle

DESCRIPTION

Allow the caller to replace the existing aead handle in the request data structure with a different one.

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT